﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr203_1
{
    // Структура: 
    struct MyStruct
    {
        // Ссылка на целочисленный массив: 
        public int[] mas;
        // Конструктор
        public MyStruct(int n)
        {
            // Объект для генерирования случайных чисел:
            Random rnd = new Random();
            mas = new int[n];
            // Заполнение массива
            for (int i = 0; i < n; i++)
            {
                // Значение элемента массива: 
                mas[i] = rnd.Next(20);
            }
        }
        // Возврат максимального элемента в массиве:
        public int maxEl()
        {
            int mx = mas[0];
            for (int i = 0; i < mas.Length; i++)
                if (mx < mas[i])
                    mx = mas[i];
            return mx;
        }
        // Возврат минимального элемента в массиве:
        public int minEl()
        {
            int mn = mas[0];
            for (int i = 0; i < mas.Length; i++)
                if (mn > mas[i])
                    mn = mas[i];
            return mn;
        }
        // Возврат среднего значения массива:
        public int avgEl()
        {
            int sum = 0;
            for (int i = 0; i < mas.Length; i++)
                sum += mas[i];
            return sum / mas.Length;
        }
        // Метод для отображения содержимого массива: 
        public void show()
        {
            for (int k = 0; k < mas.Length; k++)
            {
                Console.Write("|" + mas[k]);
            }
            Console.WriteLine("|");
        }
    }
    class Program
    {
        static void Main()
        {
            // Создание структуры:
            MyStruct A = new MyStruct(6);
            Console.WriteLine("Исходный массив:");
            // Вывод структуры:
            A.show();
            // Вывод результатов:
            Console.WriteLine("Максимальное значение в массиве: " + A.maxEl());
            Console.WriteLine("Минимальное значение в массиве: " + A.minEl());
            Console.WriteLine("Среднее значение в массиве: " + A.avgEl());
            // Задержка:
            Console.ReadLine();
        }
    }
}
